## fortran-regex 1.1.2

=== project/Makefile ===
#
# This Makefile was generated by Code::Blocks IDE.
#

SRCS_f90d1 = \
regex.f90 

OBJS_f90d1 = \
regex.o 

SRC_DIR_f90d1 = ../src/
OBJS_DIR = obj/Debug/src/
EXE_DIR = bin/Debug/

EXE = fortran-regex
FC = gcc-11
LD = gcc-11
IDIR = 
CFLAGS = -Wall -g  -J$(OBJS_DIR) $(IDIR)
LFLAGS = 
LIBS = 

VPATH = $(SRC_DIR_f90d1):$(OBJS_DIR)
OBJS = $(addprefix $(OBJS_DIR), $(OBJS_f90d1))

all : $(EXE)

$(EXE) : $(OBJS_f90d1)
	@mkdir -p $(EXE_DIR)
	$(LD) -o $(EXE_DIR)$(EXE) $(OBJS) $(LFLAGS) $(LIBS)

$(OBJS_f90d1):
	@mkdir -p $(OBJS_DIR)
	$(FC) $(CFLAGS) -c $(SRC_DIR_f90d1)$(@:.o=.f90) -o $(OBJS_DIR)$@

clean :
	rm -f $(OBJS_DIR)*.*
	rm -f $(EXE_DIR)$(EXE)

# File dependencies
regex.o: \
    regex.f90

=== debian/changelog ===
fortran-regex (1.1.2-4) unstable; urgency=medium

  * Use fortran buildsystem
  * d/watch: Move to version 5 syntax
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * Add Section: needed for dh-fortran autodetection

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Jan 2026 16:46:40 +0000

fortran-regex (1.1.2-3) unstable; urgency=medium

  * Build-dep on gfortran
  * Use dh_fortran_lib .fortran-lib file rather than directly

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Oct 2025 10:48:39 +0100

fortran-regex (1.1.2-2) unstable; urgency=medium

  * Add debian/watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Sep 2025 16:04:55 +0100

fortran-regex (1.1.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1111545)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Aug 2025 15:22:54 +0100

=== debian/control ===
Source: fortran-regex
Section: utils
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Standards-Version: 4.7.3
Build-Depends: debhelper-compat (= 13),
 dh-fortran (>= 0.60),
 gfortran | fortran-compiler
Homepage: https://github.com/perazz/fortran-regex
Vcs-Browser: https://salsa.debian.org/science-team/fortran-regex
Vcs-Git: https://salsa.debian.org/science-team/fortran-regex.git

Package: libfortran-regex-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${fortran:Depends},
 libfortran-regex-0d (= ${binary:Version})
Description: Fortran regular expression library - development files
 Fortran-regex is a Modern Fortran port of the tiny-regex-c library
 for regular expressions. It is based on the original C implementation,
 but the API is modelled in Fortran style, which is similar to the 
 intrinsic index function.

Package: libfortran-regex-0d
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fortran regular expression library 
 Fortran-regex is a Modern Fortran port of the tiny-regex-c library
 for regular expressions. It is based on the original C implementation,
 but the API is modelled in Fortran style, which is similar to the 
 intrinsic index function.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@  --with fortran --buildsystem=fortran

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/perazz/fortran-regex
